//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Xml;
using CommunityServer.Components;

namespace CommunityServer.Blogs.Components
{
	/// <summary>
	/// Summary description for XmlRpcPingModule.
	/// </summary>
	public class XmlRpcPingModule : ICSModule
	{
		public XmlRpcPingModule()
		{
		}

		public void Init(CSApplication csa, XmlNode node)
		{
			csa.PostPostUpdate +=new CSPostEventHandler(csa_AfterProcessPost);
		}

		private void csa_AfterProcessPost(IContent content, CSPostEventArgs e)
		{
			if(e.ApplicationType == ApplicationType.Weblog)
			{
				WeblogPost wp = content as WeblogPost;

				if(wp != null && (wp.BlogPostType == BlogPostType.Post || wp.BlogPostType == BlogPostType.Article) && e.State != ObjectState.Delete)
				{
					if(wp.IsPostEnabled && wp.EnableXmlRpcPings)
					{
						XmlRpcPings.SendPings(wp, true);
					}
				}
			}
		}
	}
}
